import Vue from "vue";
import Navigation from "vue-navigation";
import App from "./App.vue";
import router from "./router";
import store from "./store";
// import "./registerServiceWorker";
import "./plugins/axiosCommonService";
import "./plugins/axiosApp";
import "./plugins/iview";

// styles begin
import "./styles/bootstrap.scss";
import "./styles/global.css";
// styles end

Vue.use(Navigation, { router });

Vue.config.productionTip = false;

if (
  process.env.NODE_ENV === "development" &&
  process.env.VUE_APP_ENABLE_VUE_RENDER_LOGS === "true"
) {
  const vueLifecylceLogs = require("./plugins/vueLifecylceLogs").default;

  const options = {
    ignoreComponents: [
      undefined,
      "transition",
      "router-link",
      "Affix",
      "Alert",
      "Anchor",
      "AnchorLink",
      "AutoComplete",
      "Avatar",
      "BackTop",
      "Badge",
      "Breadcrumb",
      "BreadcrumbItem",
      "Button",
      "ButtonGroup",
      "Card",
      "Carousel",
      "CarouselItem",
      "Cascader",
      "Cell",
      "CellGroup",
      "Checkbox",
      "CheckboxGroup",
      "i-circle",
      "Col",
      "Collapse",
      "ColorPicker",
      "Content",
      "Divider",
      "DatePicker",
      "Drawer",
      "Drop",
      "Dropdown",
      "DropdownItem",
      "DropdownMenu",
      "Footer",
      "Form",
      "iForm",
      "FormItem",
      "Header",
      "Icon",
      "Input",
      "InputNumber",
      "Layout",
      "LoadingBar",
      "Menu",
      "MenuGroup",
      "MenuItem",
      "Sider",
      "Submenu",
      "Modal",
      "Option",
      "OptionGroup",
      "Page",
      "PageOption",
      "Panel",
      "Poptip",
      "Progress",
      "Radio",
      "RadioGroup",
      "Rate",
      "Row",
      "Select",
      "Slider",
      "Spin",
      "Split",
      "Step",
      "Steps",
      "i-switch",
      "Table",
      "TableHead",
      "TableBody",
      "TableCell",
      "Tabs",
      "TabPane",
      "Tag",
      "Time",
      "Timeline",
      "TimelineItem",
      "TimePicker",
      "Tooltip",
      "Transfer",
      "Tree",
      "Upload",
    ],
    ignoreComponentsNameRegexArray: [/^i[A-Z].*/, /^fa-.*/],
    groupCollapsed: true,
  };
  vueLifecylceLogs(options);
}

new Vue({
  router,
  store,
  render: h => h(App),
}).$mount("#app");
